/*..........................................................................*/
/*                                                                          */
/*      L a s t W a v e   K e r n e l   2 . 0                               */
/*                                                                          */
/*      Copyright (C) 1998-2002 Emmanuel Bacry.                             */
/*      email : lastwave@cmap.polytechnique.fr                              */
/*                                                                          */
/*..........................................................................*/
/*                                                                          */
/*      This program is a free software, you can redistribute it and/or     */
/*      modify it under the terms of the GNU General Public License as      */
/*      published by the Free Software Foundation; either version 2 of the  */
/*      License, or (at your option) any later version                      */
/*                                                                          */
/*      This program is distributed in the hope that it will be useful,     */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of      */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the       */
/*      GNU General Public License for more details.                        */
/*                                                                          */
/*      You should have received a copy of the GNU General Public License   */
/*      along with this program (in a file named COPYRIGHT);                */
/*      if not, write to the Free Software Foundation, Inc.,                */
/*      59 Temple Place, Suite 330, Boston, MA  02111-1307  USA             */
/*                                                                          */
/*..........................................................................*/


/********************************************************************/
/*                                                                  */
/*   double.h :                                                     */
/*                                                                  */
/********************************************************************/


#ifndef DOUBLE_H
#define DOUBLE_H

#include <float.h>

#ifndef NUMFLOAT
#define NUMDOUBLE
#endif

#ifdef NUMDOUBLE
#define FLOAT double
#define FLOAT_MAX DBL_MAX
#define FLOAT_EPSILON DBL_EPSILON
#else
#define FLOAT float
#define FLOAT_MAX FLT_MAX
#define FLOAT_EPSILON FLT_EPSILON
#endif

#endif /* DOUBLE_H */
