/*..........................................................................*/
/*                                                                          */
/*      Pollux 1.7                                                          */
/*                                                                          */
/*      Authors: Benjamin Audit, Emmanuel Bacry and Cedric Vaillant         */
/*      Copyright (C) 1997-2002.  All Right Reserved.                       */
/*                                                                          */
/*      Contact: audit@ebi.ac.uk                                            */
/*                                                                          */
/*..........................................................................*/
/*                                                                          */
/*      This program is a free software, you can redistribute it and/or     */
/*      modify it under the terms of the GNU General Public License as      */
/*      published by the Free Software Foundation; either version 2 of the  */
/*      License, or (at your option) any later version                      */
/*                                                                          */
/*      This program is distributed in the hope that it will be useful,     */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of      */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the       */
/*      GNU General Public License for more details.                        */
/*                                                                          */
/*      You should have received a copy of the GNU General Public License   */
/*      along with this program (in a file named COPYRIGHT);                */
/*      if not, write to the Free Software Foundation, Inc.,                */
/*      59 Temple Place, Suite 330, Boston, MA  02111-1307  USA             */
/*                                                                          */
/*..........................................................................*/

#ifndef POL_PACKAGE_H
#define POL_PACKAGE_H

#include "lastwave.h"
#include "signals.h"
#include "wtrans1d.h"
#include "pollux.h"


extern int PolOptArgs(char **argv,char fieldList[][POLSTRSIZE], char varList[][POLSTRSIZE]);

/* Functions in farima.c */
extern void Farima(SIGNAL signal,int size,FLOAT H,FLOAT sigma);

extern void Farima2H(WTRANS wtrans,SIGNAL signal,int noct,int size,
		     FLOAT h,FLOAT H,
		     FLOAT sigma,char *filename);

#endif /* POL_PACKAGE_H */


